Bug 666727 - [abrt] eclipse-platform-1:3.6.1-6.1.fc14: os::abort: Process /usr/lib/eclipse/eclipse was killed by signal 6 (SIGABRT)
[abrt] eclipse-platform-1:3.6.1-6.1.fc14: os::abort: Process /usr/lib/eclipse...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
14
i686 Unspecified
low Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:ca04fbe6908eb8a6242eb3f30dc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-02 11:34 EST by António Lima
Modified: 2011-01-07 10:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-07 10:09:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (150.33 KB, text/plain)
2011-01-02 11:34 EST, António Lima
no flags Details

  None (edit)
Description António Lima 2011-01-02 11:34:15 EST
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: /usr/lib/eclipse/eclipse
comment: I've been noticing Eclipse quite unstable since it's last update.
component: eclipse
crash_function: os::abort
executable: /usr/lib/eclipse/eclipse
kernel: 2.6.35.10-74.fc14.i686
package: eclipse-platform-1:3.6.1-6.1.fc14
rating: 3
reason: Process /usr/lib/eclipse/eclipse was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1293985634
uid: 500

How to reproduce
-----
1. Just switched to a diferent java file in eclipse and it crashed.
2.
3.
Comment 1 António Lima 2011-01-02 11:34:21 EST
Created attachment 471393 [details]
File: backtrace
Comment 2 Alexander Kurtakov 2011-01-05 05:22:19 EST
/home/amrlima/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/309/1/.cp/libswt-gtk-3655.so: Permission denied.
This looks really suspicious. Can you verify you have read/write permissions in this directory?
Comment 3 António Lima 2011-01-05 06:33:36 EST
hi,

Here are the permissions of the .cp directory

ls -ldh
drwxrwxr-x. 3 amrlima amrlima 4,0K Nov 30 15:20

Hope this is the one you asked for.

I haven't had anymore crashes since this one, although I'm having problems in debug mode with null pointer exceptions, but that's another bug to report.
Comment 4 Andrew Overholt 2011-01-07 10:03:11 EST
If you can't reproduce the crash yourself, should we close this bug?  We can always re-open it if crashes re-appear.
Comment 5 António Lima 2011-01-07 10:06:14 EST
Sure, you may close the bug.

If it crashes again and I can reproduce it I'll reopen.

Thanks.
Comment 6 Andrew Overholt 2011-01-07 10:09:08 EST
Okay, thanks.

Note You need to log in before you can comment on or make changes to this bug.